export declare enum RuleType {
    Required = "Required",
    StringLength = "StringLength",
    NumRange = "NumRange"
}
declare class RuleBase {
    Filed: string;
    FiledName: string;
    value: object;
    IsValid(value: any, filed: any): boolean;
    FormatErrorMessage(): string;
}
export declare class RuleRequired extends RuleBase {
    IsValid(row: any, filed: any): boolean;
    FormatErrorMessage(): string;
}
export declare class RuleStringLength extends RuleBase {
    constructor(maxlength: number);
    Maxlength: number;
    IsValid(row: any, filed: any): boolean;
    FormatErrorMessage(): string;
}
export declare class RuleNumRange extends RuleBase {
    constructor(min: number, max: number, exceedValue?: number | undefined);
    Min: number;
    Max: number;
    ExceedValue: number | undefined;
    IsValid(row: any, filed: any): boolean;
    FormatErrorMessage(): string;
}
export interface CheckResult {
    result: boolean;
    msg: string;
}
export declare class FiledRule {
    constructor(filed: string, filedName: string);
    Filed: string;
    FiledName: string;
    RuleList: RuleBase[];
    AddRule(filedRule: RuleBase): FiledRule;
}
export declare class RuleBuilder {
    private FiledList;
    UseFiled(filedRule: FiledRule): RuleBuilder;
    CheckRules(dataList: any): CheckResult;
}
export {};
//# sourceMappingURL=Validate.d.ts.map