import { Singleton } from "../../../Common/Singleton";
import { IConfigOption } from "../../../UI/Components/Board/UserConfig";
import { KJLImportConfigOption } from "../../../UI/Store/BoardInterface";
import { IConfigStore } from "../../../UI/Store/BoardStore";
export interface MaterialOption {
    keyIndex: number;
    kjlName: string;
    materialName: string;
    url: string;
    isSelect: boolean;
    isRender: boolean;
}
export declare class KJLImportConfigStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    m_Option: KJLImportConfigOption;
    materialList: MaterialOption[];
    selectAll: boolean;
    private queue;
    materialMap: Map<string, Promise<{
        materialName: string;
        url: string;
    }>>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../../../UI/Store/BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption<KJLImportConfigOption>): void;
    LoadMaterials: () => Promise<void>;
    AsyncLoadMaterials: () => Promise<void>;
    GetMaterialInfo: (material_id: string) => Promise<{
        materialName: string;
        url: string;
    }>;
}
//# sourceMappingURL=KJLImportConfigStore.d.ts.map