import { Curve } from '../DatabaseServices/Entity/Curve';
import { Command } from '../Editor/CommandMachine';
import { PromptStatus } from '../Editor/PromptResult';
declare type GetOffsetStatus = {
    Status: PromptStatus;
    offsetDist?: number;
};
declare enum OffsetType {
    Direction = 0,
    Dynamic = 1,
    Continuous = 2
}
export declare class Command_Offset implements Command {
    offsetDis: number;
    type: OffsetType;
    constructor();
    exec(): Promise<void>;
    Run(): Promise<void>;
    GetOffsetContinuous(cu: Curve): Promise<GetOffsetStatus>;
    UpdateDistance(offsetDist: number): void;
    DrawOffset(cu: Curve, offsetDist: number): void;
    GetOffsetDir(cu: Curve): Promise<GetOffsetStatus>;
    GetDynOffsetDist(cu: Curve): Promise<GetOffsetStatus>;
}
export declare class Command_DynOffset extends Command_Offset {
    exec(): Promise<void>;
}
export declare class Command_DynOffsetToolPath {
    exec(): Promise<void>;
}
export {};
//# sourceMappingURL=Offset.d.ts.map