import { Box3, Object3D, Vector3 } from "three";
import { Box3Ext } from "../../Geometry/Box";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { ObjectId } from "../ObjectId";
import { Light } from "./Light";
export declare class RectAreaLight extends Light {
    protected _Intensity: number;
    private _Width;
    private _Height;
    AttenuationRadius: number;
    private _BarnDoorAngle;
    private _BarnDoorLength;
    SourceTexture: ObjectId;
    get Target(): Vector3;
    set Target(p: Vector3);
    get Height(): number;
    set Height(v: number);
    get Width(): number;
    set Width(v: number);
    get BarnDoorAngle(): number;
    set BarnDoorAngle(v: number);
    get BarnDoorLength(): number;
    set BarnDoorLength(v: number);
    get WebIntensity(): number;
    get BoundingBoxInOCS(): Box3Ext;
    get BoundingBox(): Box3;
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    GetStretchPoints(): Vector3[];
    MoveStretchPoints(ids: number[], vec: Vector3): void;
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, obj: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=RectAreaLight.d.ts.map