import { Path } from "./Path";
/**
 * 轮廓路径构造器
 * 传递一组简化后的点表过来，如果已经有同样的点表时，返回已经生产的Path，避免重复产生Path。
 * 使用相同的PATH有复用路径缓存。
 *
 * 每次进行优化时，必须清理构造器，保证Path生成是对本次优化唯一。
 */
declare class PathGenerator {
    paths: Path[];
    pathAreaMap: {
        [key: string]: Path[];
    };
    cacheCount: number;
    /**
     * 如果存在同样的轮廓，则返回已经构造的轮廓，
     * 如果没有，则返回自身，并且注册它。
     * 如果id没有被注册,那么证明它无法放置在bin中
     */
    Allocate(path: Path): Path;
    RegisterId(path: Path): void;
    Clear(): void;
}
export declare let PathGeneratorSingle: PathGenerator;
export {};
//# sourceMappingURL=PathGenerator.d.ts.map