import * as React from 'react';
import { AnyObject, BoardProcessOption, IDrawBoardAutoCutOption, IGrooveOption, LayerNailOption, TBBoardOption } from '../../Store/BoardInterface';
import { IConfigStore } from '../../Store/BoardStore';
import { IDoorInfo, IDrawerInfo } from '../../Store/DoorInterface';
import { DrillingOption } from '../../Store/drillInterface';
import { BoardModalType } from "./BoardModalType";
export interface IConfigOption<T = AnyObject> {
    option?: T;
    nailData?: LayerNailOption;
    topBoardData?: TBBoardOption;
    bottomBoardData?: TBBoardOption;
    processData?: BoardProcessOption;
    ruleMap?: Map<string, DrillingOption[]>;
    grooveData?: IGrooveOption;
    doorsInfo?: (IDrawerInfo | IDoorInfo)[];
    processGroupCategory?: string[];
    autoCutOption?: IDrawBoardAutoCutOption;
    other?: any;
}
export interface IExportConfigData {
    type: string;
    config: AnyObject;
    other?: any;
}
export declare enum Config_ModalType {
    UserConfigModal = 0,
    ConfigListTagModal = 1,
    UserConfigTagModal = 2,
    ConfigListModal = 3
}
interface IConfigProps {
    type: BoardModalType;
    store: IConfigStore;
    isUpdate?: boolean;
    isExpImp?: boolean;
    isNotModify?: boolean;
    otherConfig?: () => AnyObject;
    hasconfig?: boolean;
    configurationType?: string;
    configType?: Config_ModalType;
}
/**
 *用户配置组件... Fuck这和usertconfig.ts不一样  这个是每个界面的配置
 */
export declare class UserConfig extends React.Component<IConfigProps, {}> {
    private _userConfigStore;
    static defaultProps: {
        isUpdate: boolean;
        isExpImp: boolean;
        hasconfig: boolean;
    };
    private exportData;
    constructor(props: any);
    private handleInitConfig;
    private handleSaveConfig;
    private handleDeleteConfig;
    private updateBoardOption;
    UNSAFE_componentWillMount(): Promise<void>;
    render(): JSX.Element;
    private handleImport;
    private handleExport;
}
export {};
//# sourceMappingURL=UserConfig.d.ts.map