import { BreadcrumbProps, Button, Toaster } from "@blueprintjs/core";
import React, { RefObject } from "react";
import { CoolDownTime } from "../../../Common/CoolDownTime";
import { FileServer } from "../../../DatabaseServices/FileServer";
import { CreateToastMessageProps } from "./GalleryToaster";
import { GalleryAsideMenuItems } from "./interface/GalleryAside";
import { FetchAdminGalleryParams } from "./interface/GalleryDataInterface";
import { GalleryClass, IGalleryItem } from "./interface/GalleryInterfaces";
export default class GalleryStore {
    constructor();
    toastrRef: RefObject<Toaster>;
    NotificationBtnRef: RefObject<Button>;
    fileServer: FileServer;
    time: CoolDownTime;
    GalleryAsideMenu: Map<string, GalleryAsideMenuItems>;
    isAdmin: number;
    menuActiveKey: string;
    breadcrumbItems: BreadcrumbProps[];
    currentGalleryListCategory: string;
    listType: 'GRID' | 'LIST';
    adminTabPage: string;
    isOpenUploadDialog: boolean;
    galleryFileData: any;
    notificationList: any[];
    galleryAdminList: IGalleryItem[];
    galleryDeleteList: string[];
    totalPage_AdminList: number;
    galleryClassList: GalleryClass[];
    ReloadGalleryClass: () => Promise<void>;
    ChangeRoute: (e: GalleryAsideMenuItems) => void;
    AddToast: ({ toastrRef, toastrProps }: {
        toastrRef: RefObject<Toaster>;
        toastrProps: CreateToastMessageProps;
    }) => void;
    OpenGallery: (gallery_id: string) => Promise<void>;
    ReloadMenageGalleryList: (params: FetchAdminGalleryParams) => Promise<void>;
    DeleteGallerys: (gallery_ids: string[]) => Promise<void>;
    ReadImgSrcFromFileInput: (e: React.ChangeEvent<HTMLInputElement>, imgRef: RefObject<HTMLImageElement>) => void;
    static SingleInstance: GalleryStore;
    static GetInstance(): GalleryStore;
}
//# sourceMappingURL=GalleryStore.d.ts.map