import { ITreeNode } from "@blueprintjs/core";
import React from "react";
import { DirectoryId } from "../../../Common/Request";
import './RightMyMaterialPanel.less';
export interface IDirectoryProps {
    id: DirectoryId | string;
    path: string;
    pathNum: number[];
}
interface ICommonPanelState {
    nodes: ITreeNode[];
    defaultDirName: string;
    updateNode: ITreeNode;
}
interface ICommonPanelProps {
    defaultDirId: string;
    getUrl: string;
    dirNameFilter?: string[];
}
export declare class RightMaterialPanel extends React.Component<ICommonPanelProps, ICommonPanelState> {
    private tree;
    dataList: import("mobx").IObservableArray<any>;
    selectIds: Set<string>;
    currentDir: IDirectoryProps;
    pageData: {
        count: number;
        currentPage: number;
        pageCount: number;
    };
    static CurrentDirCache: Map<string, IDirectoryProps>;
    private idKey;
    private events;
    get IsCtrlDown(): boolean;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private handleSelectData;
    private SelectNode;
    private handleNodeClick;
    private forEachNode;
    private getCurrentDir;
    private parseNodes;
    private handleNodeCollapse;
    /**
    * 服务段获取数据
    * name-查询字符串,curr_page-当前页,dir_id:目录id
    *  desc 倒序
    */
    handleGetData: (queryData?: {
        dir_id?: string;
        name?: string;
        curr_page?: number;
    }) => Promise<void>;
    private handleTreeMouseDown;
    private loadingData;
    private loadCurrentNode;
}
export {};
//# sourceMappingURL=RightMaterialPanel.d.ts.map