import { Vector2D } from "./Vector2";
/**  class Line2D
 * Represents a directional line in 2D space
 * A line is parametrized by its normal vector (perpendicular to the line, rotated 90 degrees counter clockwise)
 * and w. The line passes through the point <normal>.times(w).
 * Equation: p is on line if normal.dot(p)==w
 */
export declare class Line2D {
    normal: Vector2D;
    w: number;
    constructor(normal: Vector2D, w: number);
    direction(): Vector2D;
    static fromPoints(p1: Vector2D, p2: Vector2D): Line2D;
}
//# sourceMappingURL=Line2.d.ts.map